## org.apache.tools.ant.taskdefs.compilers
Interface CompilerAdapter

All Known Implementing Classes:
  DefaultCompilerAdapter

public interface CompilerAdapter

The interface that all compiler adapters must adher to.

A compiler adapter is an adapter that interprets the javac's parameters in preperation to be passed off to the compier this adapter represents. As all the necessary values are stored in the Javac task itself, the only thing all adapters need is the javac task, the execute command and a parameterless constructor (for reflection).

Since:
  Ant 1.3
Author:
  Jay Dickon Glanville jayglanville@home.com

Method Summary
`boolean` `execute()` Executes the task.
`void` `setJavac(Javac attributes)` Sets the compiler attributes, which are stored in the Javac task.

Method Detail

### setJavac

    public void setJavac(Javac attributes)

  Sets the compiler attributes, which are stored in the Javac task.

### execute

    public boolean execute()
                    throws BuildException

  Executes the task.

  Returns:
    has the compilation been successful
  Throws:
    `BuildException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.